
<div *ngIf="mechanic">
    <h5><span jhiTranslate="mpmApp.mechanic.detail.title">Mechanic</span> {{mechanic.idPartyRole}}</h5>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.mechanic.idMechanic">Id Mechanic</span></dt>
        <dd>
            <span>{{mechanic.idMechanic}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'mechanic/'+ mechanic.idPartyRole + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
